> For the complete documentation index, see [llms.txt](https://docs.digibee.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digibee.com/documentation/connectors-and-triggers/connectors/structured-data/object-store/distinct-and-count-object-store.md).

# How to use DISTINCT and COUNT in the Object Store

The [**Object Store**](/documentation/connectors-and-triggers/connectors/structured-data/object-store.md) is a non-relational database, which means its commands and processes differ from those commonly used in relational databases. This article explains how to:

1. Group identical items in the **Object Store** (similar to the `DISTINCT` command in relational databases).
2. Count the number of stored objects.

## **Using DISTINCT**

To group and retrieve unique values in the **Object Store** connector:

1. In **Operation**, select **Aggregate**.
2. In **Query**, use the following command, replacing `"$price"` with the field you want to group by:

```php
[{
    $group: {_id: null, uniqueValues: {$addToSet: "$price"}}
}]
```

This operation outputs only the unique values. For example:

```json
{
  "data": [
    {
      "uniqueValues": [
        699,
        1620,
        5000
      ]
    }
  ],
  "rowCount": 0
}
```

## **Using COUNT**

To count the total number of records in the **Object Store**:

1. In **Operation**, select **Aggregate**.
2. In **Query**, use the following command:

```php
[{
    $group: {_id: null, count: { $sum: 1 }}
}]
```

This operation returns the total number of records stored in the Object Store.

For further details, refer to the [**Object Store**](/documentation/connectors-and-triggers/connectors/structured-data/object-store.md) connector documentation.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digibee.com/documentation/connectors-and-triggers/connectors/structured-data/object-store/distinct-and-count-object-store.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
